Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfTableContainer

All Known Implementing Classes:
  org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAfterBeforeBase, RtfSection, RtfTableCell

public interface IRtfTableContainer

Interface for RtfElements that can contain RtfTables

Author:
  Bertrand Delacretaz bdelacretaz@codeconsult.ch, Boris Poudérous

Method Summary
`RtfTable` | `newTable(ITableColumnsInfo tc)` Close current table, if any, and start a new one
`RtfTable` | `newTable(RtfAttributes attrs, ITableColumnsInfo tc)` Close current table, if any, and start a new one

Method Detail

### newTable

    public RtfTable newTable(ITableColumnsInfo tc)
                      throws java.io.IOException

  Close current table, if any, and start a new one

  Parameters:
    `tc` - Table Columns Info
  Returns:
    new table object
  Throws:
    `java.io.IOException` - for I/O problems

### newTable

    public RtfTable newTable(RtfAttributes attrs,
                             ITableColumnsInfo tc)
                      throws java.io.IOException

  Close current table, if any, and start a new one

  Parameters:
    `attrs` - for the Table attributes
    `tc` - to process number-columns-spanned attribute
  Returns:
    new table object
  Throws:
    `java.io.IOException` - for I/O problems

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.